#ifndef BEYONDWIZ_IR_CODES_DEFINES_H
#define BEYONDWIZ_IR_CODES_DEFINES_H

/**
   Wifi_IR_Remote_TeensyLC
   https://www.forward.com.au/pfod/HomeAutomation/Wifi_IR_Remote/index.html

   (c)2017 Forward Computing and Control Pty. Ltd.
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.
*/

// BeyondWizIRcodesDefines.h;

uint32_t PVR_STANDBY = 0xBE000AF5;
uint32_t PVR_EJECT = 0xBE0040BF; // NOT MAPPED (unused by PVR)
//uint32_t PVR_STB N/A;
uint32_t PVR_TVorRADIO = 0xBE0055AA; // NOT MAPPED
uint32_t PVR_TV_OUT = 0xBE0042BD;
//uint32_t PVR_TV N/A;
uint32_t PVR_SETUP = 0xBE0007F8;
uint32_t PVR_WizTV = 0xBE0052AD; // NOT MAPPED
uint32_t PVR_LIVE = 0xBE0008F7;
uint32_t PVR_FILE_PLAY = 0xBE0044BB;
uint32_t PVR_VOL_UP = 0xBE0002FD;
uint32_t PVR_VOL_DOWN = 0xBE0003FC;
uint32_t PVR_CHup = 0xBE0000FF;
uint32_t PVR_CHdw = 0xBE0001FE;
uint32_t PVR_MUTE = 0xBE000CF3;
uint32_t PVR_INFO = 0xBE001DE2; // was 0xBE000DF2; from handbook
uint32_t PVR_FAV = 0xBE0009F6;
uint32_t PVR_GUIDE = 0xBE0043BC;
uint32_t PVR_POP_UP = 0xBE001AE5;
uint32_t PVR_LIST = 0xBE004CB3;
uint32_t PVR_EXIT = 0xBE001CE3;
uint32_t PVR_UP = 0xBE004EB1;
uint32_t PVR_DOWN = 0xBE004FB0;
uint32_t PVR_LEFT = 0xBE0053AC;
uint32_t PVR_RIGHT = 0xBE0054AB;
uint32_t PVR_OK = 0xBE001FE0;
uint32_t PVR_RECALL = 0xBE001EE1;
uint32_t PVR_RED = 0xBE004DB2;
uint32_t PVR_GREEN = 0xBE000DF2;
uint32_t PVR_YELLOW = 0xBE000EF1;
uint32_t PVR_BLUE = 0xBE000FF0;
uint32_t PVR_0 = 0xBE0010EF;
uint32_t PVR_1 = 0xBE0011EE;
uint32_t PVR_2 = 0xBE0012ED;
uint32_t PVR_3 = 0xBE0013EC;
uint32_t PVR_4 = 0xBE0014EB;
uint32_t PVR_5 = 0xBE0015EA;
uint32_t PVR_6 = 0xBEC016E9;
uint32_t PVR_7 = 0xBE0017E8;
uint32_t PVR_8 = 0xBE0018E7;
uint32_t PVR_9 = 0xBE0019E6;
uint32_t PVR_SLEEP = 0xBE001BE4;  // NOT MAPPED
uint32_t PVR_ZOOM = 0xBE0050AF;
uint32_t PVR_PLAY = 0xBE004BB4;
uint32_t PVR_STOP = 0xBE004AB5;
uint32_t PVR_PAUSE = 0xBE0046B9;
uint32_t PVR_SLOW_FWD = 0xBE0006F9;
uint32_t PVR_REW = 0xBE0045BA;
uint32_t PVR_FF = 0xBE0048B7;
uint32_t PVR_PREV = 0xBE0004FB;
uint32_t PVR_NEXT = 0xBE0005FA;
uint32_t PVR_REC = 0xBE005EA1;
uint32_t PVR_SUBTITLE = 0xBE0047B8;
uint32_t PVR_TELETEXT = 0xBE0051AE; // NOT MAPPED
uint32_t PVR_SOUNDTRACK = 0xBE0049B6; // NOT MAPPED

#endif // BEYONDWIZ_IR_CODES_DEFINES_H
