#ifndef PANASONIC_TV_IR_CODES_H
#define PANASONIC_TV_IR_CODES_H
/**
   Wifi_IR_Remote_TeensyLC
   https://www.forward.com.au/pfod/HomeAutomation/Wifi_IR_Remote/index.html

   (c)2017 Forward Computing and Control Pty. Ltd.
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.
*/

// PanasonicTVIRcodes.h
// Panasonic Plasma TV

uint32_t TV_VOL_DOWN = 0x01008485;
uint32_t TV_VOL_UP = 0x01000405;
uint32_t TV_RETURN = 0x01002B2A;
uint32_t TV_MENU = 0x01004A4B;
uint32_t TV_RIGHT = 0x0100F2F3;
uint32_t TV_LEFT = 0x01007273;
uint32_t TV_DOWN = 0x0100D2D3;
uint32_t TV_UP = 0x01005253;
uint32_t TV_OK = 0x01009293;
uint32_t TV_EXIT = 0x0100CBCA;
uint32_t TV_GUIDE = 0x0190E170;
uint32_t TV_SDCARD = 0x0190D544;
uint32_t TV_OPTION = 0x0190E574;
uint32_t TV_LINK = 0x01908D1C;
uint32_t TV_ASPECT = 0x01207B5A;
uint32_t TV_TV = 0x01400C4D;
uint32_t TV_AV = 0x0100A0A1;
uint32_t TV_MUTE = 0x01004C4D;
uint32_t TV_POWER = 0x0100BCBD;


/**************
 * use modified version of ir_Panasonic using 38kHz and with different mark space timings
 * // set these values from AnalysIR measurements of the marks and spaces from the actual remote
#define PANASONIC38_BITS          48
#define PANASONIC38_HDR_MARK    3440
#define PANASONIC38_HDR_SPACE   1792
// one == 1732, zero 868
#define PANASONIC38_BIT_MARK     408
#define PANASONIC38_ONE_SPACE   1320
#define PANASONIC38_ZERO_SPACE   456
 *
 *  The Panasonic codes are longer then Arduino unsigned long (4 bytes) so the top 2 bytes are passed to 
 *  IRsend::sendPanasonic  in the 'address' arg.  Here the 'address' is 0x4004 for this TV so that is just coded in
 *  
 * TV_POWER is a special case as it is repeated 3 times with 74mS between each one so we use special enum for it, PANASONIC_POWER_MACRO_code  
 * 
Type : Key : Value : Bits : Carrier Frequency (kHz)
0 : JAPANESE : TV_VOL_DOWN : 400401008485 : 48 : 38
1 : JAPANESE : TV_VOL_UP : 400401000405 : 48 : 38
2 : JAPANESE : TV_RETURN : 400401002B2A : 48 : 38
3 : JAPANESE : TV_MENU : 400401004A4B : 48 : 38
4 : JAPANESE : TV_RIGHT : 40040100F2F3 : 48 : 38
5 : JAPANESE : TV_LEFT : 400401007273 : 48 : 38
6 : JAPANESE : TV_DOWN : 40040100D2D3 : 48 : 38
7 : JAPANESE : TV_UP : 400401005253 : 48 : 38
8 : JAPANESE : TV_OK : 400401009293 : 48 : 38
9 : JAPANESE : TV_EXIT : 40040100CBCA : 48 : 38
10 : JAPANESE : TV_SDCARD : 40040190D544 : 48 : 38
11 : JAPANESE : TV_OPTION : 40040190E574 : 48 : 38
12 : JAPANESE : TV_LINK : 400401908D1C : 48 : 38
13 : JAPANESE : TV_ASPECT : 400401207B5A : 48 : 38
14 : JAPANESE : TV_TV : 400401400C4D : 48 : 38
15 : JAPANESE : TV_GUIDE : 40040190E170 : 48 : 38
16 : JAPANESE : TV_EXIT : 40040100CBCA : 48 : 38
17 : JAPANESE : TV_AV : 40040100A0A1 : 48 : 38
18 : JAPANESE : TV_MUTE : 400401004C4D : 48 : 38
*/

#endif // PANASONIC_TV_IR_CODES_H
